AsterNet Class Library (Sandcastle documentation)

| QueueAddAction Constructor (String, String, String, Int32)

Creates a new QueueAddAction that adds a new member on the given interface to the given queue with the given penalty.

Namespace: AsterNET.Manager.Action
Assembly: AsterNET (in AsterNET.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy

    public QueueAddAction(
    	string queue,
    	string iface,
    	string memberName,
    	int penalty
    )

    Public Sub New (
    	queue As String,
    	iface As String,
    	memberName As String,
    	penalty As Integer
    )

    public:
    QueueAddAction(
    	String^ queue,
    	String^ iface,
    	String^ memberName,
    	int penalty
    )

    new :
            queue : string *
            iface : string *
            memberName : string *
            penalty : int -> QueueAddAction

#### Parameters

queue
  Type: System
  String
  the name of the queue the new member will be added to
iface
  Type: System
  String
  Sets the interface to add. To add a specific channel just use the channel name, e.g. "SIP/1234".
memberName
  Type: System
  String
  the name of the the new member will be added to
penalty
  Type: System
  Int32
  the penalty for this member.
  The penalty must be a positive integer or 0 for no penalty. When calls are distributed members with higher penalties are considered last.

See Also

#### Reference

QueueAddAction Class
QueueAddAction Overload
AsterNET.Manager.Action Namespace